Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008118opensim[GRID] Other Servicepublic2017-01-09 04:542019-02-06 11:29
ReporterGavin Hird 
Assigned Tonebadon 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOperating SystemOperating System Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0008118: PGSQL - group messages are not deleted at expiry
DescriptionGroup messages in os_group_notices were not deleted after the 14 day expiry period because of a failing cast in the query to delete such notes.

The normal mechanisms for fixing a cast from integer (unix epoch) to timestamp is not present in NPGSQL presumably because similar functionality does not exist in .NET. The cast seemed impossible to solve without changing the database storage and code until I happened to stumble across the obscure and not well described abstime function. Using this for a double cast fixed the issue.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Script Engine
EnvironmentMono / Linux32, Mono / Linux64, Mono / Windows, Mono / OSX, .NET / Windows32, .NET / Windows64
Mono Versiontrunk
Viewern/a
Attached Filespatch file icon pgsql_groups_delete.patch [^] (1,863 bytes) 2017-04-19 11:23 [Show Content]

- Relationships
related to 0007848closedDiva Incorrect datetime value for column 'TMStamp' 

-  Notes
(0031776)
nebadon (administrator)
2017-04-19 11:17

can you please include a proper .patch file instead of a diff so i can apply and it gives proper credit with signoff.
(0031778)
Gavin Hird (reporter)
2017-04-19 11:23

Patch uploaded
(0031779)
nebadon (administrator)
2017-04-19 11:24

is it ok to apply this patch prior to your other patch?
(0031780)
Gavin Hird (reporter)
2017-04-19 11:26

Yes, they are completely unrelated
(0031784)
nebadon (administrator)
2017-04-19 11:52

patch applied in master git
http://opensimulator.org/viewgit/?a=commit&p=opensim&h=fe83763c365dfa2ba77ebd902810683cedd58ffa [^]
(0034454)
BillBlight (developer)
2019-02-06 11:29

Marked as Resolved but never closed, can be reopened if needed.

- Issue History
Date Modified Username Field Change
2017-01-09 04:54 Gavin Hird New Issue
2017-01-09 04:54 Gavin Hird File Added: pgsql_groupnote_delete.diff
2017-01-09 04:55 Gavin Hird Status new => patch included
2017-01-09 04:56 Gavin Hird Relationship added related to 0007848
2017-04-19 11:17 nebadon Note Added: 0031776
2017-04-19 11:23 Gavin Hird File Added: pgsql_groups_delete.patch
2017-04-19 11:23 Gavin Hird File Deleted: pgsql_groupnote_delete.diff
2017-04-19 11:23 Gavin Hird Note Added: 0031778
2017-04-19 11:24 nebadon Note Added: 0031779
2017-04-19 11:26 Gavin Hird Note Added: 0031780
2017-04-19 11:52 nebadon Note Added: 0031784
2017-04-19 11:52 nebadon Status patch included => resolved
2017-04-19 11:52 nebadon Resolution open => fixed
2017-04-19 11:52 nebadon Assigned To => nebadon
2019-02-06 11:29 BillBlight Note Added: 0034454
2019-02-06 11:29 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker